summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDan Radez <dradez@redhat.com>2016-05-18 14:03:19 -0400
committerDan Radez <dradez@redhat.com>2016-05-27 02:38:16 +0000
commitb5b0f98bf921a6dccf3c9ef869a173f67fc3e037 (patch)
tree0e47e7802c161afba16b45cae6e063c55383d13f
parent6313bd8b7604043093bb8def0ab88f1dd72919f3 (diff)
adding deploy dep check script
the Apex RPMs don't get installed in our verify so we need something to check that the deploy deps are there when it's a fresh host Change-Id: I917f557a3b181e0ef109771af67f5ef49263723b Signed-off-by: Dan Radez <dradez@redhat.com>
-rwxr-xr-xci/dev_deploy_check.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/ci/dev_deploy_check.sh b/ci/dev_deploy_check.sh
new file mode 100755
index 00000000..e93e9f4f
--- /dev/null
+++ b/ci/dev_deploy_check.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+##############################################################################
+# Copyright (c) 2016 Dan Radez (Red Hat) and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# This script makes sure deploy deps are installed when not relying on RPM
+
+set -e
+
+rdo_action="update"
+
+# check for rdo-release
+if ! rpm -q rdo-release > /dev/null; then
+ rdo_action="install"
+fi
+
+# make sure rdo release
+if ! sudo yum $rdo_action -y https://www.rdoproject.org/repos/rdo-release.rpm; then
+ echo "Failed to $rdo_action RDO Release package..."
+ exit 1
+fi
+
+# check for other packages
+for i in epel-release python34-PyYAML openvswitch openstack-tripleo libguestfs libguestfs-tools-c libvirt-python; do
+# Make sure deploy deps are installed
+ if ! rpm -q $i > /dev/null; then
+ if ! sudo yum install -y $i; then
+ echo "Failed to install $i package..."
+ exit 1
+ fi
+ fi
+done